package com.fjhx.admin.controller.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.product.vo.SupplierPriceAddVo;
import com.fjhx.admin.entity.supplier.dto.SupplierPriceDto;
import com.fjhx.admin.entity.supplier.dto.SupplierPriceSelectDto;
import com.fjhx.admin.entity.supplier.vo.SupplierPriceVo;
import com.fjhx.admin.service.supplier.SupplierPriceService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 供应商价格 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2023-03-17
 */
@RestController
@RequestMapping("/supplierPrice")
public class SupplierPriceController {

    @Autowired
    private SupplierPriceService supplierPriceService;

    /**
     * 供应商价格分页
     */
    @PostMapping("/page")
    public Page<SupplierPriceVo> page(@RequestBody SupplierPriceSelectDto dto) {
        return supplierPriceService.getPage(dto);
    }

    /**
     * 供应商价格新增
     *
     * @return
     */
    @PostMapping("/add")
    public SupplierPriceAddVo add(@Validated @RequestBody SupplierPriceDto supplierPriceDto) {
        return supplierPriceService.add(supplierPriceDto);
    }

    /**
     * 供应商价格编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SupplierPriceDto supplierPriceDto) {
        supplierPriceService.edit(supplierPriceDto);
    }

    /**
     * 供应商价格删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        supplierPriceService.delete(dto.getId());
    }

}
