package com.fjhx.admin.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.product.vo.SupplierPriceAddVo;
import com.fjhx.admin.entity.supplier.dto.SupplierPriceDto;
import com.fjhx.admin.entity.supplier.dto.SupplierPriceSelectDto;
import com.fjhx.admin.entity.supplier.po.SupplierPrice;
import com.fjhx.admin.entity.supplier.vo.SupplierPriceVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 供应商价格 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-17
 */
public interface SupplierPriceService extends BaseService<SupplierPrice> {

    /**
     * 供应商价格分页
     */
    Page<SupplierPriceVo> getPage(SupplierPriceSelectDto dto);

    /**
     * 供应商价格新增
     *
     * @return
     */
    SupplierPriceAddVo add(SupplierPriceDto supplierPriceDto);

    /**
     * 供应商价格编辑
     */
    void edit(SupplierPriceDto supplierPriceDto);

    /**
     * 供应商价格删除
     */
    void delete(Long id);

}
